function phil = param_steady_phil(epsilon, eta, lambda, lambdaS, mu, chi, s, psi, delta, thetal, alpha)

%GS's parameters
hbar = (s+(1-s)*mu^(epsilon-1))^(1/(epsilon-1))/(s+(1-s)*mu^(eta-1))^(1/(eta-1)); % [E.11]
vs = 1/(s+(1-s)*mu^(eta-1))^((eta-epsilon)/(eta-1)); % one line below [E.33] 
vn = mu^(eta-epsilon)*vs; % [E.34]

pow1 = -epsilon*(eta-1)/eta;
xi = (s*mu^pow1+(1-s))/(s*mu^(1-eta)+1-s)^(epsilon/eta);

% parameters associated with the fraction of loyal customers
pn = (lambda+(1-lambda)*hbar^(1-epsilon))^(1/(epsilon-1))*(s*mu^(1-epsilon)+1-s)^(1/(epsilon-1));
ps = (lambda+(1-lambda)*hbar^(1-epsilon))^(1/(epsilon-1))*(s*mu^(1-epsilon)+1-s)^(1/(epsilon-1))*mu;
qy = s*(lambda+(1-lambda)*vs)*ps^(-epsilon) + (1-s)*(lambda+(1-lambda)*vn)*pn^(-epsilon);
wh_q = alpha*pn*(epsilon-1)/epsilon;

phil = eta/(eta-1)*(1-xi)/(lambda*xi+1-lambda)/(thetal/(1-lambdaS)*wh_q*qy);
 % we substitute lambdaS here. This is the only difference from param_steady.m
 % lambdaS is the baseline lambda

