function y = matchtargets_robust2(x, muT,lambdaT,sT,sbarT)
% Match parameters and calibration targets
% for robustness check

epsilon = x(1);
eta = x(2);
chi = x(3);
sigma = x(4);

% Calculate equilibrium
mu = findmu(epsilon,eta);
z = zroot(mu,epsilon,eta);
chiT = findchi(mu,epsilon,eta);

% Find lambda
lambda = ((1 + sT*(mu^(1-eta) - 1))^((eta-epsilon)/(1-eta)))/(z + ((1 + sT*(mu^(1-eta) - 1))^((eta-epsilon)/(1-eta))));

% Find sigma
sigma = sbarT/sT;


%y = [epsilon eta lambda sigma];
y = (log(mu/muT))^2 + (log(lambda/lambdaT))^2 + + (log(chi/chiT))^2;
