function y  = param_lendo(epsilon, eta, lambda, mu, chi, s, psi, delta)

%GS's parameters
thetab = s/(s+(1-s)*mu^(eta-1)); % [E.8]
psib = 1/(eta-1)*(1-mu^(eta-1))/(s+(1-s)*mu^(eta-1)); % [E.8]
psil = 1/(epsilon-1)*(1-mu^(epsilon-1))/(s+(1-s)*mu^(epsilon-1)); % [E.10]
hbar = (s+(1-s)*mu^(epsilon-1))^(1/(epsilon-1))/(s+(1-s)*mu^(eta-1))^(1/(eta-1)); % [E.11]
omega = (1-lambda)/(1-lambda+lambda*hbar^(epsilon-1)); % [E.11]
psip = (1-omega)*psil + omega*psib; % [E.12]
vs = 1/(s+(1-s)*mu^(eta-1))^((eta-epsilon)/(eta-1)); % one line below [E.33] 
vn = mu^(eta-epsilon)*vs; % [E.34]

% coeff of kai
%varsigma_l = (vn+lambda*(1-vn))/(lambda+(1-lambda)*vn) - (vs+lambda*(1-vs))/(lambda+(1-lambda)*vs) ; %(B.90)
varsigma_mu = (epsilon*lambda+eta*(1-lambda)*vn)/(lambda+(1-lambda)*vn); %(B.91)


% A and B
la = psip/psib/(eta-epsilon)/(1-lambda)...
    - lambda/(epsilon-1)*((1-omega)/lambda-omega/(1-lambda));

lb = - (1 - (delta-epsilon)*la - (chi-1)/(s*chi+1-s)/(eta-epsilon)/(1-lambda)/psib);

% s = sx*x + sl*l
sx = -(1-thetab)/psib/(1-psi);
sl = -((1-thetab)/psib*la/(1-psi) + 1/psib/(eta-epsilon)/(1-lambda));

pow1 = -epsilon*(eta-1)/eta;
% psn = psns*s + psnmu*mu
psns = ((mu^pow1-1)*(s*mu^(1-eta)+1-s) - epsilon/eta*(mu^(1-eta)-1)*(s*mu^pow1+1-s))/(...
    (s*mu^pow1+1-s)*(s*mu^(1-eta)+1-s));
psnmu = (mu^pow1*pow1*(s*mu^(1-eta)+1-s) -  epsilon/eta*mu^(1-eta)*(1-eta)*(s*mu^pow1+1-s))/(...
    (s*mu^pow1+1-s)*(s*mu^(1-eta)+1-s));

xi = (s*mu^pow1+(1-s))/(s*mu^(1-eta)+1-s)^(epsilon/eta);

y = [la lb  psns psnmu sx sl xi varsigma_mu];

% parameters associated with the fraction of loyal customers






