% Calculate significant level of correlation
% for the band-pass filterd variables

% col: raw series, bp series
% row: 90% 95% intervals

clc;

addpath C:\IRIS_Tbx; irisstartup

cor_xy_tab = [];
draws = 1000;
iter = 100;
tt = 308 - 12;

for i=1:iter
    varx = randn(tt, draws);
    vary = randn(tt, draws);
    cor_xy = diag(corr(varx, vary));

    varx_bp = bpass(varx,3*6,32*3);
    vary_bp = bpass(vary,3*6,32*3);
    cor_xy_bp = diag(corr(varx_bp, vary_bp));
    
    %{
    varx_TC = [];
    vary_TC = [];
    for j=1:draws
        tmpx = tseries(mm(1900,1):mm(floor(1900+tt/12),mod(tt,12)), varx(:,j));
        tmpy = tseries(mm(1900,1):mm(floor(1900+tt/12),mod(tt,12)), vary(:,j));
        varx_TC = [varx_TC double(x12(tmpx, 'output=','TC'))];
        vary_TC = [vary_TC double(x12(tmpy, 'output=','TC'))];
    end
    cor_xy_TC = diag(corr(varx_TC, vary_TC));
    
    cor_xy_tab = [cor_xy_tab; cor_xy cor_xy_bp cor_xy_TC];
    %}
    cor_xy_tab = [cor_xy_tab; cor_xy cor_xy_bp];
end

%%
cor_xy_tab = sort(cor_xy_tab, 1);
% col: raw series, bp series
% row: 90% 95% intervals
[(cor_xy_tab(draws*iter*0.975, :)-cor_xy_tab(draws*iter*0.025, :))/2; (cor_xy_tab(draws*iter*0.95, :)-cor_xy_tab(draws*iter*0.05, :))/2]

%{
%%
    varx0 = randn(308, 1);
    vary0 = randn(308, 1);
    [cor_xy0 pval corh corl] = corrcoef(varx0, vary0);
    (corh-corl)/2
%}